///define(['app'], function (app) {
(function () {
	var app = angular.module('myApp');
	var cId = 'confirmDialog';
	var cVer = 1;
	///app.register.controller(cId, [
	app.controller(cId, [
        '$scope', '$rootScope', '$window', '$http', '$q', '$location', '$sce', 'ngDialog', 'VS4Library', 'myFactory',
        function ($scope, $rootScope, $window, $http, $q, $location, $sce, ngDialog, VS4Library, myFactory) {
			var self = this;

			$rootScope.controllerMsg = cId + ' : ' + myFactory.AppVersion() + '.' + cVer;

			$scope.confirm = function () {
				ngDialog.closeAll(true);
			};

        }
    ]);
	///});
})();